Index: src/UIElements/Menu/Menu.cpp
===================================================================
--- src/UIElements/Menu/Menu.cpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/Menu.cpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -26,4 +26,6 @@
 #include "Actions/ActionTraits.hpp"
 #include "Menu/Menu.hpp"
+
+using namespace MoleCuilder;
 
 /** Constructor of class Menu.
Index: src/UIElements/Menu/Qt4/QtMenuPipe.cpp
===================================================================
--- src/UIElements/Menu/Qt4/QtMenuPipe.cpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/Qt4/QtMenuPipe.cpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -27,4 +27,6 @@
 #include "Actions/Action.hpp"
 
+using namespace MoleCuilder;
+
 QtMenuPipe::QtMenuPipe(const std::string &_ActionName, QAction *_action) :
     ActionName(_ActionName), theAction(_action)
Index: src/UIElements/Menu/TextMenu/ActionMenuItem.cpp
===================================================================
--- src/UIElements/Menu/TextMenu/ActionMenuItem.cpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/TextMenu/ActionMenuItem.cpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -26,5 +26,5 @@
 #include "Actions/ActionRegistry.hpp"
 
-using namespace std;
+using namespace MoleCuilder;
 
 ActionMenuItem::ActionMenuItem(char _trigger, const std::string &_description,TxMenu* const _menu,const std::string &_ActionName)
Index: src/UIElements/Menu/TextMenu/ActionMenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/ActionMenuItem.hpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/TextMenu/ActionMenuItem.hpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -18,5 +18,7 @@
 #include "Menu/TextMenu/MenuItem.hpp"
 
-class Action;
+namespace MoleCuilder {
+  class Action;
+}
 class TxMenu;
 
Index: src/UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp
===================================================================
--- src/UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/TextMenu/TxMenuLeaveAction.cpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -24,4 +24,6 @@
 #include "Menu/TextMenu/TxMenuLeaveAction.hpp"
 #include "CodePatterns/Assert.hpp"
+
+using namespace MoleCuilder;
 
 /** Constructor for class TxMenu::LeaveAction.
Index: src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/TextMenu/TxMenuLeaveAction.hpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -18,4 +18,6 @@
 #include "Actions/Action.hpp"
 #include "Actions/ActionTraits.hpp"
+
+using namespace MoleCuilder;
 
 /** This specific action is used to leave a submenu and return to an upper one.
Index: src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.cpp
===================================================================
--- src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.cpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.cpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -18,5 +18,4 @@
 #endif
 
-using namespace std;
 
 #include <cppunit/CompilerOutputter.h>
@@ -29,4 +28,6 @@
 
 #include "MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp"
+
+using namespace MoleCuilder;
 
 #ifdef HAVE_TESTRUNNER
Index: src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp
===================================================================
--- src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp	(revision 79de12a31074a28e29afce5800da9884f1b1cd0d)
+++ src/UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp	(revision 61ff0550acb166bb41ba1ba619e3778004377a74)
@@ -19,5 +19,7 @@
 #include "UIElements/Menu/MenuDescription.hpp"
 
-class ActionRegistry;
+namespace MoleCuilder {
+  class ActionRegistry;
+}
 
 /********************************************** Test classes **************************************/
@@ -36,5 +38,5 @@
 private:
       MenuDescription md;
-      ActionRegistry *AR;
+      MoleCuilder::ActionRegistry *AR;
 };
 
